Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Rework Karel's BOMs to be general purpose

* Update release process (untested)
* Use the BOM in the quickstarts
  • Loading branch information...
commit 33e8a9ac20215aa08d3f1c7b2c9cf4e5bf01db28 1 parent 7e05e57
@pmuir pmuir authored
Showing with 15 additions and 21 deletions.
  1. +15 −21 kitchensink-html5-mobile/pom.xml
View
36 kitchensink-html5-mobile/pom.xml
@@ -19,7 +19,8 @@
<!-- Timestamp format for the maven.build.timestamp property -->
<!-- You can reference property in pom.xml or filtered resources (must
enable third-party plugin if using Maven < 2.1) -->
- <javaee6.spec.version>3.0.0.Beta1</javaee6.spec.version>
+ <!-- Define the version of JBoss' Java EE 6 APIs and Tools we want to import. -->
+ <javaee6.with.tools.version>7.0.2-SNAPSHOT</javaee6.with.tools.version>
<!-- Alternatively, comment out the above line, and un-comment the line below to
use version 3.0.0.Beta1-redhat-1 which is a release certified
to work with JBoss EAP 6. It requires you have access to the JBoss EAP 6 maven repository. -->
@@ -30,21 +31,19 @@
<dependencyManagement>
<dependencies>
- <!-- Define the version of JBoss' Java EE 6 APIs we want to import.
- Any dependencies from org.jboss.spec will have their version defined by this
- BOM -->
- <!-- JBoss distributes a complete set of Java EE 6 APIs including
- a Bill of Materials (BOM). A BOM specifies the versions of a "stack" (or
- a collection) of artifacts. We use this here so that we always get the correct
- versions of artifacts. Here we use the jboss-javaee-6.0 stack (you can
- read this as the JBoss stack of the Java EE 6 APIs) -->
- <dependency>
- <groupId>org.jboss.spec</groupId>
- <artifactId>jboss-javaee-6.0</artifactId>
- <version>${javaee6.spec.version}</version>
- <type>pom</type>
- <scope>import</scope>
- </dependency>
+ <!-- JBoss distributes a complete set of Java EE 6 APIs including a Bill
+ of Materials (BOM). A BOM specifies the versions of a "stack" (or a collection)
+ of artifacts. We use this here so that we always get the correct versions
+ of artifacts. Here we use the jboss-javaee-6.0-with tools stack (you can read this as
+ the JBoss stack of the Java EE 6 APIs, with some extras tools for your project, such
+ as Arquillian for testing) -->
+ <dependency>
+ <groupId>org.jboss.as.quickstarts</groupId>
+ <artifactId>jboss-javaee-6.0-with-tools</artifactId>
+ <version>${javaee6.with.tools.version}</version>
+ <type>pom</type>
+ <scope>import</scope>
+ </dependency>
</dependencies>
</dependencyManagement>
@@ -124,7 +123,6 @@
<dependency>
<groupId>junit</groupId>
<artifactId>junit</artifactId>
- <version>4.10</version>
<scope>test</scope>
</dependency>
@@ -134,14 +132,12 @@
<dependency>
<groupId>org.jboss.arquillian.junit</groupId>
<artifactId>arquillian-junit-container</artifactId>
- <version>1.0.0.CR7</version>
<scope>test</scope>
</dependency>
<dependency>
<groupId>org.jboss.arquillian.protocol</groupId>
<artifactId>arquillian-protocol-servlet</artifactId>
- <version>1.0.0.CR7</version>
<scope>test</scope>
</dependency>
@@ -248,7 +244,6 @@
<dependency>
<groupId>org.jboss.as</groupId>
<artifactId>jboss-as-arquillian-container-managed</artifactId>
- <version>7.1.0.CR1b</version>
<scope>test</scope>
</dependency>
</dependencies>
@@ -296,7 +291,6 @@
<dependency>
<groupId>org.jboss.as</groupId>
<artifactId>jboss-as-arquillian-container-remote</artifactId>
- <version>7.1.0.CR1b</version>
<scope>test</scope>
</dependency>
</dependencies>
Please sign in to comment.
Something went wrong with that request. Please try again.